The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

v11.44 XML API restoreaccount > Getting 'Restricted Restore is not available' error

Discussion in 'cPanel Developers' started by asetch, Jun 24, 2014.

  1. asetch

    asetch Registered

    Joined:
    Jun 24, 2014
    Messages:
    1
    Likes Received:
    0
    Trophy Points:
    1
    cPanel Access Level:
    Root Administrator
    Since upgrading to v11.44, restoreaccount is not working for me and it was just fine in v11.42. I'm getting 'Restricted Restore is not available in this version of cPanel' in response now. I attempted to send unrestricted_restore => 1 as an additional parameter to the call in the hopes that would work but it was to no effect.

    How do I get passed that error with the restoreaccount call now? Is there a different parameter I should be sending?

    Note: I am passing all of the other parameters correctly. My parameters generally look like the following:

    Code:
    {
            'api.version' => 1,
            user  => 'the_username',
            type  => 'daily',
            all   => 1,
            ip    => 0,
            mail  => 1,
            mysql => 1,
            subs  => 1
     }
    
    Thanks!
     
  2. cPanelKenneth

    cPanelKenneth cPanel Development
    Staff Member

    Joined:
    Apr 7, 2006
    Messages:
    4,461
    Likes Received:
    22
    Trophy Points:
    38
    cPanel Access Level:
    Root Administrator

    Hello, this is currently a defect in 11.44. I don't have a work around to provide. The case number for this issue is 105645.
     
Loading...

Share This Page